## gov.usgs.earthquake.event
Class EventId

    java.lang.Object
      gov.usgs.earthquake.event.EventId

    public class EventId

extends java.lang.Object

Event ID class. Represents a unique identifier assigned by a network. An Event may have multiple IDs, usually no more than one per network.

Constructor Summary
`EventId(java.lang.String network, java.lang.String code)` Construct a new EventID from a network and code.

Method Summary
`boolean` `equals(java.lang.Object in)`
`java.lang.String` `getCode()`
`java.lang.String` `getNetwork()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventId

    public EventId(java.lang.String network,
                   java.lang.String code)
            throws java.lang.IllegalArgumentException

  Construct a new EventID from a network and code.

  Parameters:
    `network` - the event network.
    `code` - the code assigned by the event network.
  Throws:
    `java.lang.IllegalArgumentException` - if network or code are null.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object in)

  Overrides:
    `equals` in class `java.lang.Object`

### getNetwork

    public java.lang.String getNetwork()

### getCode

    public java.lang.String getCode()